@import "libs/shared/assets/src/global-style/variable";
@import "libs/shared/assets/src/global-style/color";

.form {
  max-height: 60vh;
  overflow-y: auto;
  &__top {
    border-radius: 8px;
    padding: 20px;
    background: $white-color;
  }

  ::ng-deep {

    .mat-chip-list-wrapper input.mat-input-element,
    .mat-chip-list-wrapper .mat-standard-chip {
      margin-bottom: 10px !important;
      margin-left: 10px !important;
    }

    .mat-chip-list-wrapper {
      flex-wrap: nowrap !important;
    }
    .mat-form-field-prefix,
    .mat-form-field-suffix {
      display: none;
    }
    .mat-form-field-flex {
      border: 1px solid rgb(217, 217, 217);
      min-height: 48px;
      // border: 1px solid #F5F5F5;
      border-radius: 8px;
      align-items: center !important;
      color: #d9d9d9;
      display: block !important;
    }
    .ant-pagination-item-link {
      border-radius: 8px;
      display: flex !important;
      align-items: center;
      justify-content: center;
    }
    .ant-pagination-item-link-icon {
      margin-right: 14px;
    }

    .ant-pagination-item {
      border-radius: 8px;
    }
    .ant-pagination-item-active {
      border-color: $primary-button-color;
      border-radius: 8px;
      a {
        color: $primary-button-color;
      }
    }
    .mat-form-field-infix {
      width: initial !important;
    }

  }
}

.error {
  display: flex;
  align-items: center;
  column-gap: 5px;
  font-size: 12px;
  margin-top: 8px;
  font-family: avertaL, sans-serif;
  color: #ff4d4f;
}
.clear-icon {
  border-radius: 50%;
  position: absolute;
  right: 0.5rem;
  top: 2.6rem;
  color: $white-color;
  font-size: 12px;
  background: $background-icon;
}
.clear-icon:hover {
  cursor: pointer;
  background: $background-icon-hover;
}
.form-row__input {
  width: 100%;
  border-radius: 10px !important;
  min-height: 40px;
}

.form-row__left {
  display: flex;
  flex-direction: column;
}

.jd-table {
  min-width: 100%;
  margin-top: 24px;
  border-radius: 8px;
  overflow: hidden;
  &__label {
    font-weight: bold;
    font-size: 14px;
    line-height: 120%;
    background: rgba(232, 234, 246, 1);
  }
}

p {
  margin-bottom: 0px !important;
}

.form-row__right {
  mat-chip {
    background: rgba(233, 234, 255, 1) !important;
    min-width: 97px;
    border-radius: 10px;
    padding: 4px 4px 4px 8px;
    border: 1px solid #7f85f3;
    margin: 0px 16px;
    align-items: center;
    justify-content: space-between;
  }

  &--mat-chip-file {
    border-radius: 8px;
    min-height: 32px;
    display: flex;
  }

  &--fileName {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    color: #00009a;
    font-size: 12px;
    line-height: 16px;
    margin: 0px 8px;
  }

  &--button {
    display: flex;
    align-items: center;
    border: none;
    color: #00009a;
  }
}

.title-input {
  display: flex;
}

.title {
  font-style: normal;
  font-weight: 500;
  font-size: 18px;
  line-height: 20px;
  letter-spacing: 0.15px;
  color: #000000;
  margin-top: 16px;
}

.button-back {
  border: none;
  border-radius: 8px;
  display: flex;
  align-items: center;
  padding: 10px 16px;
  font-size: 14px;
  min-height: 40px;
  background: #e8eaf6;
  margin-left: 16px;
  color: $primary-button-color;
}

.required {
  color: red;
  text-align: center;
  padding-left: 5px;
  margin-bottom: 0px !important;
}

.template {
  &__right {
    display: flex;
    align-items: flex-end;
    &--attach {
      display: flex;
      align-items: flex-end;
      height: 100%;
    }
  }

  ::ng-deep {
    .ant-form-item {
      margin: 0px;
    }
  }
}

.button-primary {
  border-radius: 8px;
  display: flex;
  align-items: center;
  padding: 10px 16px 10px 16px;
  font-size: 14px;
  min-height: 40px;
  background: $primary-button-color;
  margin-left: 16px;
}

.form-row__select {
  width: 100%;
  ::ng-deep {
    .ant-select-selector {
      border-radius: 10px !important;
      min-height: 40px;
      display: flex;
      align-items: center;
    }
    .ant-select-selection-search-input {
      height: 100% !important;
    }
  }
}

.job-col {
  min-width: 320px;
  margin-bottom: 5px;
}

.action-button {
  display: flex;
  column-gap: 10px;
}

.fun-row {
  &__form {
    width: 100%;
  }

  ::ng-deep {
    .ant-input {
      width: 100%;
    }
  }

  &__action {
    display: flex;
  }
  display: flex;
  align-items: baseline;
  justify-content: space-between;
  column-gap: 5px;
  margin-bottom: 5px;
}

.add-text {
  color: $primary-button-color;
}

.job-select {
  width: 100%;
}



.label-custom {
  color: #6e7191;
  font-size: 14px;
  font-family: avertaB, sans-serif;
}
